# $Revision: 1.13.2.4 $, $Date: 2003/04/09 23:30:41 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Authen-TacacsPlus perl module
Summary(pl):	Modu perla Authen-TacacsPlus
Name:		perl-Authen-Radius
Version:	0.08
Release:	1
License:	Perl Artistic License
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Authen/RadiusPerl-%{version}.tar.gz
Patch0:		%{name}-Digest-MD5.patch
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	perl-Digest-MD5
# for dependency resolving
BuildRequires:	perl-Data-HexDump
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::Radius - module for authentication using RADIUS server.

%description -l pl
Authen::Radius - modu do autentykacji przy pomocy serwera RADIUS.

%prep
%setup -q -n RadiusPerl-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

# tests require Radius server availability
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Authen/Radius.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Authen-Radius.spec,v $
Revision 1.13.2.4  2003/04/09 23:30:41  ankry
- BR: perl-Data-HexDump

Revision 1.13.2.3  2003/04/09 23:26:57  ankry
- disabled tests

Revision 1.13.2.2  2003/04/09 23:01:59  ankry
- updated to 0.08; added tests

Revision 1.13.2.1  2003/03/13 00:56:39  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.13  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.12  2003/02/18 15:26:39  ankry
- massive attack: change CPAN URLs

Revision 1.11  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.10  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.9  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/03/03 21:05:18  marcus
- rel.3.

Revision 1.7  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/10 15:24:04  depesz
adapterized

Revision 1.5  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.3  2001/05/20 13:32:43  kloczek
- added Digest-MD5 patch for use Digest::MD5 module instead obsoleted MD5,
- removed Require: perl-Digest-MD5 (autogenerated),
- BuildRequires changed from perl to perl-devel.

Revision 1.2  2001/05/20 12:58:01  bonkey
- initital, based on perl-Authen-TacacsPlus.spec
- Perl Artistic License

Revision 1.1  2001/05/20 12:54:20  bonkey
6e852eef8b4e4bd6c068c060fe99cb2f  perl-Authen-Radius.spec
